FreeMat

- Main Page
- Related Pages

vtkStructuredPointsReader

Section: Visualization Toolkit IO Classes

# Usage

vtkStructuredPointsReader is a source object that reads ASCII or binary structured points data files in vtk format (see text for format details). The output of this reader is a single vtkStructuredPoints data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

To create an instance of class vtkStructuredPointsReader, simply invoke its constructor as follows

      obj = vtkStructuredPointsReader

# Methods

The class vtkStructuredPointsReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredPointsReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredPointsReader = obj.NewInstance ()`
- `vtkStructuredPointsReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetOutput (vtkStructuredPoints output)` - Set/Get the output of this reader.
- `vtkStructuredPoints = obj.GetOutput (int idx)` - Set/Get the output of this reader.
- `vtkStructuredPoints = obj.GetOutput ()` - Set/Get the output of this reader.
- `int = obj.ReadMetaData (vtkInformation outInfo)` - Read the meta information from the file. This needs to be public to it can be accessed by vtkDataSetReader.